/* GUI_PlaylistEntrySmall.cpp */

/* Copyright (C) 2011  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "GUI_PlaylistEntrySmall.h"
#include <QFontMetrics>

GUI_PlaylistEntrySmall::GUI_PlaylistEntrySmall(QWidget* parent) :
	GUI_PlaylistEntry(parent),
	Ui::PlaylistEntrySmall()
{
	setupUi(this);
}

GUI_PlaylistEntrySmall::~GUI_PlaylistEntrySmall() {

}

void GUI_PlaylistEntrySmall::setContent(const MetaData& md, int idx) {

	QString title_str, artist_str, len_str;

	len_str = Helper::cvt_ms_to_string(this, md.length_ms, true);

	bool show_numbers = _settings->get(Set::PL_ShowNumbers);
	if(show_numbers){
		title_str = QString::number(idx) + ". " + md.title.trimmed();
	}

	else{
		title_str = md.title.trimmed();
	}

	lab_pl_entry_title->setText(title_str);
	lab_pl_entry_time->setText(len_str);

	//sp_log(Log::Debug) << md.title << " by " << md.artist << ": " << lab_pl_entry_artist->width();

	//QFontMetrics fm = lab_pl_entry_artist->fontMetrics();
	artist_str = md.artist;

	/*while(fm.width(artist_str) > lab_pl_entry_artist->width()){
		artist_str = artist_str.left(artist_str.size() - 4) + "...";
	}*/

	lab_pl_entry_artist->setText(artist_str);
}



